
/*----------------------------------------------------------------------------
   * Name:    mcu.h
   * Purpose: Header File for device dependent includes
   *          for Spansion FM3 Low Power Series
   * Note(s): defines set in "options for target - C/C++ - Define"
   *----------------------------------------------------------------------------
   * This file is part of the uVision/ARM development tools.
   * This software may only be used under the terms of a valid, current,
   * end user licence from KEIL for a compatible version of KEIL software
   * development tools. Nothing else gives you the right to use this software.
   *
   * This software is supplied "AS IS" without warranties of any kind.
   *
   * Copyright (c) 2013 Keil - An ARM Company. All rights reserved.
   *----------------------------------------------------------------------------*/


#ifndef _MCU_H_
#define _MCU_H_

#ifdef MB9AF141L
  #include "MB9A140NA\mb9a140l.h"            // MB9AF141L header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF141L system start-up header file include

#elif defined MB9AF141M
  #include "MB9A140NA\mb9a140m.h"            // MB9AF141M header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF141M system start-up header file include

#elif defined MB9AF141N
  #include "MB9A140NA\mb9a140n.h"            // MB9AF141N header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF141N system start-up header file include

#elif defined MB9AF142L
  #include "MB9A140NA\mb9a140l.h"            // MB9AF142L header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF142L system start-up header file include

#elif defined MB9AF142M
  #include "MB9A140NA\mb9a140m.h"            // MB9AF142M header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF142M system start-up header file include

#elif defined MB9AF142N
  #include "MB9A140NA\mb9a140n.h"            // MB9AF142N header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF142N system start-up header file include

#elif defined MB9AF144L
  #include "MB9A140NA\mb9a140l.h"            // MB9AF144L header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF144L system start-up header file include

#elif defined MB9AF144M
  #include "MB9A140NA\mb9a140m.h"            // MB9AF144M header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF144M system start-up header file include

#elif defined MB9AF144N
  #include "MB9A140NA\mb9a140n.h"            // MB9AF144N header file include
  #include "MB9A140NA\system_mb9af14x.h"     // MB9AF144N system start-up header file include

#elif defined MB9AF154M
  #include "MB9A150R\mb9a150m.h"            // MB9AF154M header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF154M system start-up header file include

#elif defined MB9AF154N
  #include "MB9A150R\mb9a150n.h"            // MB9AF154N header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF154N system start-up header file include

#elif defined MB9AF154R
  #include "MB9A150R\mb9a150r.h"            // MB9AF154R header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF154R system start-up header file include

#elif defined MB9AF155M
  #include "MB9A150R\mb9a150m.h"            // MB9AF155M header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF155M system start-up header file include

#elif defined MB9AF155N
  #include "MB9A150R\mb9a150n.h"            // MB9AF155N header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF155N system start-up header file include

#elif defined MB9AF155R
  #include "MB9A150R\mb9a150r.h"            // MB9AF155R header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF155R system start-up header file include

#elif defined MB9AF156M
  #include "MB9A150R\mb9a150m.h"            // MB9AF156M header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF156M system start-up header file include

#elif defined MB9AF156N
  #include "MB9A150R\mb9a150n.h"            // MB9AF156N header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF156N system start-up header file include

#elif defined MB9AF156R
  #include "MB9A150R\mb9a150r.h"            // MB9AF156R header file include
  #include "MB9A150R\system_mb9af15x.h"     // MB9AF156R system start-up header file include

#elif defined MB9AF341L
  #include "MB9A340NA\mb9a340l.h"            // MB9AF341L header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF341L system start-up header file include

#elif defined MB9AF341M
  #include "MB9A340NA\mb9a340m.h"            // MB9AF341M header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF341M system start-up header file include

#elif defined MB9AF341N
  #include "MB9A340NA\mb9a340n.h"            // MB9AF341N header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF341N system start-up header file include

#elif defined MB9AF342L
  #include "MB9A340NA\mb9a340l.h"            // MB9AF342L header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF342L system start-up header file include

#elif defined MB9AF342M
  #include "MB9A340NA\mb9a340m.h"            // MB9AF342M header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF342M system start-up header file include

#elif defined MB9AF342N
  #include "MB9A340NA\mb9a340n.h"            // MB9AF342N header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF342N system start-up header file include

#elif defined MB9AF344L
  #include "MB9A340NA\mb9a340l.h"            // MB9AF344L header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF344L system start-up header file include

#elif defined MB9AF344M
  #include "MB9A340NA\mb9a340m.h"            // MB9AF344M header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF344M system start-up header file include

#elif defined MB9AF344N
  #include "MB9A340NA\mb9a340n.h"            // MB9AF344N header file include
  #include "MB9A340NA\system_mb9af34x.h"     // MB9AF344N system start-up header file include

#elif defined MB9AFA41L
  #include "MB9AA40NA\mb9aa40l.h"            // MB9AFA41L header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA41L system start-up header file include

#elif defined MB9AFA41M
  #include "MB9AA40NA\mb9aa40m.h"            // MB9AFA41M header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA41M system start-up header file include

#elif defined MB9AFA41N
  #include "MB9AA40NA\mb9aa40n.h"            // MB9AFA41N header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA41N system start-up header file include

#elif defined MB9AFA42L
  #include "MB9AA40NA\mb9aa40l.h"            // MB9AFA42L header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA42L system start-up header file include

#elif defined MB9AFA42M
  #include "MB9AA40NA\mb9aa40m.h"            // MB9AFA42M header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA42M system start-up header file include

#elif defined MB9AFA42N
  #include "MB9AA40NA\mb9aa40n.h"            // MB9AFA42N header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA42N system start-up header file include

#elif defined MB9AFA44L
  #include "MB9AA40NA\mb9aa40l.h"            // MB9AFA44L header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA44L system start-up header file include

#elif defined MB9AFA44M
  #include "MB9AA40NA\mb9aa40m.h"            // MB9AFA44M header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA44M system start-up header file include

#elif defined MB9AFA44N
  #include "MB9AA40NA\mb9aa40n.h"            // MB9AFA44N header file include
  #include "MB9AA40NA\system_mb9afa4x.h"     // MB9AFA44N system start-up header file include

#elif defined MB9AFB41L
  #include "MB9AB40NA\mb9ab40l.h"            // MB9AFB41L header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB41L system start-up header file include

#elif defined MB9AFB41M
  #include "MB9AB40NA\mb9ab40m.h"            // MB9AFB41M header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB41M system start-up header file include

#elif defined MB9AFB41N
  #include "MB9AB40NA\mb9ab40n.h"            // MB9AFB41N header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB41N system start-up header file include

#elif defined MB9AFB42L
  #include "MB9AB40NA\mb9ab40l.h"            // MB9AFB42L header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB42L system start-up header file include

#elif defined MB9AFB42M
  #include "MB9AB40NA\mb9ab40m.h"            // MB9AFB42M header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB42M system start-up header file include

#elif defined MB9AFB42N
  #include "MB9AB40NA\mb9ab40n.h"            // MB9AFB42N header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB42N system start-up header file include

#elif defined MB9AFB44L
  #include "MB9AB40NA\mb9ab40l.h"            // MB9AFB44L header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB44L system start-up header file include

#elif defined MB9AFB44M
  #include "MB9AB40NA\mb9ab40m.h"            // MB9AFB44M header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB44M system start-up header file include

#elif defined MB9AFB44N
  #include "MB9AB40NA\mb9ab40n.h"            // MB9AFB44N header file include
  #include "MB9AB40NA\system_mb9afb4x.h"     // MB9AFB44N system start-up header file include

#else
  #error "No MCU defined!"

#endif  /* MCU List */

#endif  /* #ifdef _MCU_H_ */
